## org.ascape.query.parser
Class QTContains

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTCriteriaSubNode
              org.ascape.query.parser.QTOperator
                  org.ascape.query.parser.QTStringOperatorNode
                      org.ascape.query.parser.QTContains

All Implemented Interfaces:
  Node, Validated

    public class QTContains

extends QTStringOperatorNode

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTContains(BoolExprTree p, int id)`
`QTContains(int id)`

Method Summary
`boolean` `evaluate(QTValue compared, java.lang.Object value)`
`java.lang.String` `toString()`

Methods inherited from class org.ascape.query.parser.QTStringOperatorNode
`validate`

Methods inherited from class org.ascape.query.parser.QTCriteriaSubNode
`getCriteria`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTContains

    public QTContains(int id)

### QTContains

    public QTContains(BoolExprTree p,
                      int id)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`

### evaluate

    public boolean evaluate(QTValue compared,
                            java.lang.Object value)

  Specified by:
    `evaluate` in class `QTOperator`